#include <chronoptics/tof/gige_interface.hpp>
#include <iostream>

namespace tof = chronoptics::tof;

int main() {
  tof::GigeInterface cam;
  std::vector<tof::DiscoveryMessage> msgs = cam.discover();

  std::cout << "Cameras Detected\n";

  /* Print out the information relating to the cameras and their IP addresses */
  for (auto &msg : msgs) {
    std::cout << "Camera ID: " << msg.serial() << " IP Address: " << msg.ip()
              << std::endl;
  }
}
